> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toapis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 分析とエクスポート

> midi 採譜、bpm 分析、alignedLyrics タイミング、download/wav、generateMp4 動画

```
POST https://toapis.com/v1/music/generations/{operation}
```

**model** `string` *required*

固定 `"suno"`

**task\_id** `string` *required*

元タスク ID

**audio\_index** `number`

トラック番号

## midi — MIDI 採譜(\$0.05)

楽曲をトラック別 MIDI ノートデータに変換。`result.instruments[]` に各楽器トラック:

**instruments** `array`

**楽器トラック**

**name** `string`

楽器名。例:`Electric Piano 1`

**program** `integer`

General MIDI プログラム番号

**is\_drum** `boolean`

ドラムトラックか(pitch はドラムノート番号)

**notes** `array`

ノート列:`start`/`end`(秒)、`pitch`(MIDI ノート 0-127)、`velocity`(0-1)

## bpm — BPM 分析(\$0.0008)

`result` に `avg_bpm` / `max_bpm` / `min_bpm` を返却。

## alignedLyrics — 歌詞タイミング(\$0.0008)

行/単語単位のタイミング整列データを返却。

## download — マルチフォーマット取得(\$0.0016)

**formats** `array`

フォーマット:`mp3` / `m4a` / `wav`

**format** `string`

単一フォーマット(`formats` か `format` のどちらか必須)

`result.files[]` を返却。ファイルは CDN にミラー済み。

## generateMp4 — 歌詞動画(\$0.004)

歌詞付き MP4 を生成し `result.videoUrl` を返却(CDN ミラー済み)。

## wav — WAV 取得(\$0.0016,旧版)

> [!TIP]
>
> 非推奨。`download` で `format: "wav"` を指定してください。

## Response

**task\_id** `string`

タスク ID

**status** `string`

`submitted`


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.